STRNLEN(3)

NAME
strnlen - character string length

SYNOPSIS

#include <string.h>

size_t strnlen(const char *str, size_t n);

DESCRIPTION

The strnlen function works out the length of the string starting at *str by counting chararacters until it reaches a NUL character or the maximum: n number of characters have been inspected.

RETURNS

strnlen returns the character count or n.

PORTABILITY

strnlen is a GNU extension.

strnlen requires no supporting OS subroutines.